function convertTime (id) {
    var now = new Date();
    var date = new Date(id);
    var offset = Math.round((now-date)/1000);
    var timestamp;
    if (offset < 60) {
        if (offset == 0)
            timestamp = "right now";
        else if (offset == 1)
            timestamp = "a second ago";
        else
            timestamp = offset + " seconds ago";
    }
    else {
        var mins = Math.round(offset/60);
        if (mins < 60) {
            if (mins == 1)
                timestamp = "a minute ago";
            else
                timestamp = mins + " minutes ago";
        } else {
            var hours = Math.round(offset/60/60);
            if (hours < 24) {
                if (hours == 1)
                    timestamp = "an hour ago";
                else
                    timestamp = hours + " hours ago";
            } else {
                var days = Math.round(offset/60/60/24);
                if (days == 1)
                    timestamp = "a day ago";
                else
                    timestamp = days + " days ago";
            }
        }
    }
    return timestamp;
}

function updateTimeStamps(){
    var childs = document.getElementsByClassName("time");
    for (var i = 0; i < childs.length; i++) {
        childs[i].innerText = convertTime(childs[i].id);
    }
}

setInterval(updateTimeStamps, 1000)
