/*
Copyright (C) Arturo Torres Sánchez 2013

This file is part of Trino.

Trino is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Trino is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Trino.  If not, see <http://www.gnu.org/licenses/>.
*/

using Gtk;
using WebKit;

namespace Trino {
    public class Conversation : Window {
        public WebView view;
        public Conversation () {
            window_position = WindowPosition.CENTER;
            title = "Conversation";
            set_default_size (416,624);
            
            view = new WebView ();
            File file = File.new_for_path ("/usr/local/share/trino/html/timeline.html");
            view.load_uri (file.get_uri ());
            
            var scroll = new ScrolledWindow (null, null);
            scroll.add (view);
            add (scroll);
        }
    }
}
